import { BuildConfig, BuildContext, BuildResults, ComponentMeta, ComponentData, Manifest, ManifestData, ModuleFile } from '../../util/interfaces';
export declare function writeAppManifest(config: BuildConfig, ctx: BuildContext, buildResults: BuildResults): void;
export declare function serializeAppManifest(config: BuildConfig, manifestDir: string, manifest: Manifest): ManifestData;
export declare function parseDependentManifest(config: BuildConfig, collectionName: string, manifestDir: string, manifestJson: string): Manifest;
export declare function excludeFromCollection(config: BuildConfig, cmpData: ComponentData): boolean;
export declare function serializeComponent(config: BuildConfig, manifestDir: string, moduleFile: ModuleFile): ComponentData;
export declare function parseComponentDataToModuleFile(config: BuildConfig, manifest: Manifest, manifestDir: string, cmpData: ComponentData): ModuleFile;
export declare function parseWillChangeDeprecated(cmpData: any, cmpMeta: ComponentMeta): void;
export declare function parseDidChangeDeprecated(cmpData: any, cmpMeta: ComponentMeta): void;
export declare function serializeBundles(manifestData: ManifestData, manifest: Manifest): void;
export declare function parseBundles(manifestData: ManifestData, manifest: Manifest): void;
export declare function serializeAppGlobal(config: BuildConfig, manifestDir: string, manifestData: ManifestData, manifest: Manifest): void;
export declare function parseGlobal(config: BuildConfig, manifestDir: string, manifestData: ManifestData, manifest: Manifest): void;
export declare const COLLECTION_DEPENDENCIES_DIR = "dependencies";
export declare const BOOLEAN_KEY = "Boolean";
export declare const NUMBER_KEY = "Number";
export declare const STRING_KEY = "String";
export declare const ANY_KEY = "Any";
